Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 411453 - sci-mathematics/maxima-5.27.0 with sci-lisp/sbcl-1.0.55-r1 - hangs in src_compile()
Summary: sci-mathematics/maxima-5.27.0 with sci-lisp/sbcl-1.0.55-r1 - hangs in src_com...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Science Mathematics related packages
URL:
Whiteboard:
Keywords:
: 432258 451144 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-10 10:39 UTC by Helmut Jarausch
Modified: 2021-03-26 01:55 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
maxima build log (build.log,269.88 KB, text/plain)
2012-04-10 10:44 UTC, Helmut Jarausch
Details
bzip2ed /var/tmp/portage/sci-mathematics/maxima-5.27.0/temp/build.log (build.log.bz2,82.99 KB, application/x-bzip)
2012-04-11 10:11 UTC, Juergen Rose
Details
switch to ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY instead of using asdf-binary-locations. (file_411453.txt,682 bytes, text/plain)
2012-04-22 19:41 UTC, Mihai Moldovan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Jarausch 2012-04-10 10:39:24 UTC

    
Comment 1 Helmut Jarausch 2012-04-10 10:44:31 UTC
Created attachment 308375 [details]
maxima build log
Comment 2 Helmut Jarausch 2012-04-10 10:47:25 UTC
emerging  sci-mathematics/maxima-5.27.0  with  sbcl-1.0.55-r1 installed fails:

It "hangs" after displaying

;    - Compiling module "server" 
;      - Compiling source file
;        "/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src/server.lisp"
; compiling file "/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src/server.lisp" (written 03 APR 2012 05:43:57 AM):
; compiling (IN-PACKAGE :MAXIMA)
; compiling (REQUIRE (QUOTE ASDF))
; compiling (REQUIRE (QUOTE SB-POSIX))
; loading #P"/usr/lib64/sbcl/sb-posix/sb-posix.asd"
ASDF could not load sb-posix because
Error while trying to load definition for system sb-posix from pathname
/usr/lib64/sbcl/sb-posix/sb-posix.asd:
   ASDF 2 is not compatible with ASDF-BINARY-LOCATIONS, which you are using.
ASDF 2 now achieves the same purpose with its builtin ASDF-OUTPUT-TRANSLATIONS,
which should be easier to configure. Please stop using ASDF-BINARY-LOCATIONS,
and instead use ASDF-OUTPUT-TRANSLATIONS. See the ASDF manual for details.
In case you insist on preserving your previous A-B-L configuration, but
do not know how to achieve the same effect with A-O-T, you may use function
ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY as documented in the manual;
call that function where you would otherwise have loaded and configured A-B-L..

debugger invoked on a LOAD-SYSTEM-DEFINITION-ERROR in thread
#<THREAD "initial thread" RUNNING {10029998C3}>:

Type HELP for debugger help, or (SB-EXT:QUIT) to exit from SBCL.

restarts (invokable by number or by possibly-abbreviated name):
  Error while trying to load definition for system sb-posix from pathname
  /usr/lib64/sbcl/sb-posix/sb-posix.asd:
     ASDF 2 is not compatible with ASDF-BINARY-LOCATIONS, which you are using.
ASDF 2 now achieves the same purpose with its builtin ASDF-OUTPUT-TRANSLATIONS,
which should be easier to configure. Please stop using ASDF-BINARY-LOCATIONS,
and instead use ASDF-OUTPUT-TRANSLATIONS. See the ASDF manual for details.
In case you insist on preserving your previous A-B-L configuration, but
do not know how to achieve the same effect with A-O-T, you may use function
ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY as documented in the manual;
call that function where you would otherwise have loaded and configured A-B-L.
  0: [RETRY                                 ] Retry EVAL of current toplevel form.
  1: [CONTINUE                              ] Ignore error and continue loading file "/usr/lib64/sbcl/sb-posix/sb-posix.asd".
  2: [ABORT                                 ] Abort loading file "/usr/lib64/sbcl/sb-posix/sb-posix.asd".
  3: [REINITIALIZE-SOURCE-REGISTRY-AND-RETRY] Retry finding system sb-posix
                                              after reinitializing the
                                              source-registry.
  4:                                          Ignore runtime option --eval "(progn (load \"../lisp-utils/defsystem.lisp\") (funcall (intern (symbol-name :operate-on-system) :mk) \"maxima\" :compile :verbose t) (sb-ext:quit))".
  5:                                          Skip rest of --eval and --load options.
  6:                                          Skip to toplevel READ/EVAL/PRINT loop.
  7: [QUIT                                  ] Quit SBCL (calling #'QUIT, killing the process).

((FLET #:LAMBDA1984 :IN ASDF::LOAD-SYSDEF)
 #<SIMPLE-ERROR
   "ASDF 2 is not compatible with ASDF-BINARY-LOCATIONS, which you are using.
ASDF 2 now achieves the same purpose with its builtin ASDF-OUTPUT-TRANSLATIONS,
which should be easier to configure. Please stop using ASDF-BINARY-LOCATIONS,
and instead use ASDF-OUTPUT-TRANSLATIONS. See the ASDF manual for details.
In case you insist on preserving your previous A-B-L configuration, but
do not know how to achieve the same effect with A-O-T, you may use function
ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY as documented in the manual;
call that function where you would otherwise have loaded and configured A-B-L."
   {1009201AB3}>)
0] 


======================
emerge --info dev-lang/sbcl  
Portage 2.2.0_alpha100 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.14.1-r2, 3.3.1-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.1-gentoo-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-2.1
Timestamp of tree: Tue, 10 Apr 2012 07:15:01 +0000
ccache version 3.1.7 [disabled]
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.2.2-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.4
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.2, 4.8.0_alpha20120318::local, 4.8.0_pre9999::local
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories: gentoo local sunrise
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=native -O2 -msse3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/lib/neatx/home"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mtune=native -O2 -msse3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildpkg distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo "
LANG="en_US.iso88591"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/sunrise"
SYNC="rsync://rsync.informatik.RWTH-Aachen.de/gentoo-portage"
USE="3dnow 3dnowext 3dnowprefetch X a52 aac acl acpi alsa amd64 atm avahi berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam ffmpeg fftw firefox flac fortran fuse gdbm gdu gfortran gif gimp gnome gpm gtk gtk2 iconv ipv6 jpeg kde lapack lcms libnotify mad mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf png policykit ppds pppd qt qt3support qt4 readline sdl session smp spell sqlite sqlite3 sse sse2 sse3 sse4a ssl startup-notification svg sysfs tcl tcpd threads tiff tk truetype udev unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="ati radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON




========================
emerge --info sci-math/maxima
Portage 2.2.0_alpha100 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.14.1-r2, 3.3.1-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.1-gentoo-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-2.1
Timestamp of tree: Tue, 10 Apr 2012 07:15:01 +0000
ccache version 3.1.7 [disabled]
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.2.2-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.4
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.2, 4.8.0_alpha20120318::local, 4.8.0_pre9999::local
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories: gentoo local sunrise
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=native -O2 -msse3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/lib/neatx/home"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mtune=native -O2 -msse3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildpkg distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo "
LANG="en_US.iso88591"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/sunrise"
SYNC="rsync://rsync.informatik.RWTH-Aachen.de/gentoo-portage"
USE="3dnow 3dnowext 3dnowprefetch X a52 aac acl acpi alsa amd64 atm avahi berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam ffmpeg fftw firefox flac fortran fuse gdbm gdu gfortran gif gimp gnome gpm gtk gtk2 iconv ipv6 jpeg kde lapack lcms libnotify mad mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf png policykit ppds pppd qt qt3support qt4 readline sdl session smp spell sqlite sqlite3 sse sse2 sse3 sse4a ssl startup-notification svg sysfs tcl tcpd threads tiff tk truetype udev unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="ati radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Andrey Grozin gentoo-dev 2012-04-11 08:56:41 UTC
I've successfully compiled maxima-5.27.0 with all 6 supported lisps, including sbcl-1.0.55-r1, on two ~x86 computers. sbcl is the fastest in running the maxima testsuite.
This must be something amd64 specific, I cannot check it. Anybody here with amd64 and sbcl?
Comment 4 Juergen Rose 2012-04-11 10:01:06 UTC
In my case it hangs at:

;;; Emitting code for MAXIMA-LOAD-PATHNAME-DIRECTORY.
;;; Finished compiling /var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src/init-cl.lisp.
;;;

;      - Loading binary file "binary-ecl/init-cl.fas" 
;;; Loading "/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src/binary-ecl/init-cl.fas"
;  - Providing system maxima



I have:
root@moose:/root(13)# grep "^[^#].*maxima" /etc/portage/package.use
sci-mathematics/maxima X auctex emacs gnome gtk sbcl ecls

root@moose:/root(14)# emerge --info maxima
Portage 2.1.10.56 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.14.1-r2, 3.3.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.0-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9650_@_3.00GHz-with-gentoo-2.1
Timestamp of tree: Tue, 10 Apr 2012 16:30:01 +0000
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3::sage-on-gentoo, 3.2.2-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.4
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories: gentoo x11 arcon bicatali sage-on-gentoo science java-overlay sunrise x-portage x-cpan g-octave
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula googleearth AdobeFlash-10.3 cadsoft Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de fr"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/arcon /var/lib/layman/bicatali /var/lib/layman/sage-on-gentoo /var/lib/layman/science /var/lib/layman/java-overlay /var/lib/layman/sunrise /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 ao apache2 applet archive arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boo boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli consolekit corba cracklib crypt css cuda cups curl cxx daap db dbase dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras faac faad fam ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpx fts3 fuse galago garmin gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp ginac git glade glib glpk gml gmp gmtsuppl gnome gnome-keyring gnome-print gnuplot gnutls gphoto2 gpm grammar graphics graphtft graphviz grass gs gsl gsm gstreamer gtk gudev guile harness hddtemp hdf hdf5 hdri http httpd hvm hwdb iconv icq icu id3 ide imagemagick imap innodb inotify ipod ipv6 irda ithreads jabber jadetex java java6 jbig john jpeg jpeg2k kate kdrive kerberos kpathsea kqemu kvm ladspa lame lapack latex latex3 lcms ldap lensfun libffi libgda libnotify libsamplerate lirc live lm_sensors lua lzo mad mail maildir mapnik math matroska media-library mkl mmx mmxext mng modules mono motif mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musepack musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking networkmanager nfs nls nntp nptl nptlonly nsplugin ntfs ntp numpy nvidia obex objc ocaml ocr octave odbc ogdi ogg ole openexr opengl openmp overview pae pam pango pcre pda pdf perl plotutils plugins png podcast policykit portaudio posix postgres postscript ppds pppd preview-latex proj projectm projectx pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime readline reiserfs reports rle romio rpc rrdcgi rrdtool sage samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smbclient smp sms sndfile snmp soup sox speex spell sql sqlite sse sse2 sse4 ssl ssse3 startup-notification stlport subtitles subversion suexec svg svm swig sysfs szip t1lib tcl tcpd tex tex4ht texmacs tgif theora threads thunderbird tidy tiff tk tools truetype udev unicode usb userlocales utempter vaapi video virtualbox vorbis wav webdav webdav-serf webkit wifi wmf wxwidgets x264 xattr xcb xemacs xext xft xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc yaml zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="caps lvm mdraid syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nv nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sci-mathematics/maxima-5.26.0 was built with the following:
USE="X ecls emacs latex (multilib) nls sbcl tk unicode xemacs -clisp -clozurecl (-cmucl) (-gcl)" LINGUAS="-es -pt -pt_BR"
Comment 5 Juergen Rose 2012-04-11 10:11:13 UTC
Created attachment 308515 [details]
bzip2ed /var/tmp/portage/sci-mathematics/maxima-5.27.0/temp/build.log
Comment 6 Juergen Rose 2012-04-11 10:14:56 UTC
In build.log I found the lines:

; compiling (REQUIRE (QUOTE SB-POSIX))
; loading #P"/usr/lib64/sbcl/sb-posix/sb-posix.asd"
ASDF could not load sb-posix because
Error while trying to load definition for system sb-posix from pathname
/usr/lib64/sbcl/sb-posix/sb-posix.asd:
   ASDF 2 is not compatible with ASDF-BINARY-LOCATIONS, which you are using.
ASDF 2 now achieves the same purpose with its builtin ASDF-OUTPUT-TRANSLATIONS,
which should be easier to configure. Please stop using ASDF-BINARY-LOCATIONS,
and instead use ASDF-OUTPUT-TRANSLATIONS. See the ASDF manual for details.
In case you insist on preserving your previous A-B-L configuration, but
do not know how to achieve the same effect with A-O-T, you may use function
ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY as documented in the manual;
call that function where you would otherwise have loaded and configured A-B-L..

debugger invoked on a LOAD-SYSTEM-DEFINITION-ERROR in thread
#<THREAD "initial thread" RUNNING {1002999893}>:
  Error while trying to load definition for system sb-posix from pathname
  /usr/lib64/sbcl/sb-posix/sb-posix.asd:
     ASDF 2 is not compatible with ASDF-BINARY-LOCATIONS, which you are using.
ASDF 2 now achieves the same purpose with its builtin ASDF-OUTPUT-TRANSLATIONS,
which should be easier to configure. Please stop using ASDF-BINARY-LOCATIONS,
and instead use ASDF-OUTPUT-TRANSLATIONS. See the ASDF manual for details.
In case you insist on preserving your previous A-B-L configuration, but
do not know how to achieve the same effect with A-O-T, you may use function
ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY as documented in the manual;
call that function where you would otherwise have loaded and configured A-B-L.
...
Error while trying to load definition for system sb-bsd-sockets from pathname
/usr/lib64/sbcl/sb-bsd-sockets/sb-bsd-sockets.asd:
 

Is this the reason for the problem?
Comment 7 Andrey Grozin gentoo-dev 2012-04-11 12:45:22 UTC
I have asdf-2.016 (from the lisp overlay) installed; asdf-binary-locations not installed. Maybe, that's the difference?
Comment 8 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-04-11 14:17:03 UTC
With dev-lisp/asdf-binary-locations-20061018 installed (no matter whether dev-lisp/asdf-1.89 is installed or not), I experienced the same error as OP when building maxima-5.27.0 with sbcl-1.0.55-r1.

And without asdf-binary-locations installed (again, no matter whether dev-lisp/asdf-1.89 is installed or not), I get


test -d binary-sbcl/numerical/slatec || mkdir binary-sbcl/numerical/slatec
sbcl --noinform --noprint --eval '(progn (load "../lisp-utils/defsystem.lisp") (funcall (intern (symbol-name :operate-on-system) :mk) "maxima" :compile :verbose t) (sb-ext:quit))' && \
sbcl --noinform --noprint --eval '(progn (load "../lisp-utils/defsystem.lisp") (funcall (intern (symbol-name :operate-on-system) :mk) "maxima" :load :verbose t) (sb-ext:save-lisp-and-die "binary-sbcl/maxima.core") (sb-ext:quit))'

debugger invoked on a ASDF:MISSING-COMPONENT in thread
#<THREAD "initial thread" RUNNING {1002999893}>:

  Component "asdf-binary-locations" not found
Type HELP for debugger help, or (SB-EXT:QUIT) to exit from SBCL.

restarts (invokable by number or by possibly-abbreviated name):
  0: [REINITIALIZE-SOURCE-REGISTRY-AND-RETRY] Retry finding system
                                              asdf-binary-locations after
                                              reinitializing the
                                              source-registry.
  1: [RETRY                                 ] Retry EVAL of current toplevel form.
  2: [CONTINUE                              ] Ignore error and continue loading file "/etc/gentoo-init.lisp".
  3: [ABORT                                 ] Abort loading file "/etc/gentoo-init.lisp".
  4:                                          Retry EVAL of current toplevel form.
  5:                                          Ignore error and continue sysinit file "/etc/sbclrc".
  6:                                          Abort sysinit file "/etc/sbclrc".
  7:                                          Skip to toplevel READ/EVAL/PRINT loop.
  8: [QUIT                                  ] Quit SBCL (calling #'QUIT, killing the process).

((LAMBDA () :IN ASDF:FIND-SYSTEM))
Comment 9 Juergen Rose 2012-04-11 14:56:33 UTC
asdf-1.89 and asdf-binary-locations-20061018 have been installed as dependencies on my systems:

root@moose:/home/rose(47)# qlist -Iv asdf
dev-lisp/asdf-1.89
dev-lisp/asdf-binary-locations-20061018

root@moose:/home/rose(48)# grep  asdf /var/lib/portage/world 

root@moose:/home/rose(49)# equery d asdf
 * These packages depend on asdf:
dev-lisp/asdf-binary-locations-20061018 (dev-lisp/asdf)
dev-lisp/common-lisp-controller-5.13-r1 (>=dev-lisp/asdf-1.84)

root@moose:/home/rose(50)# equery d asdf-asdf-binary-locations
 * These packages depend on asdf-asdf-binary-locations:

root@moose:/home/rose(51)# grep common-lisp-controller /var/lib/portage/world 

root@moose:/home/rose(52)# equery d common-lisp-controller
 * These packages depend on common-lisp-controller:
dev-lisp/asdf-binary-locations-20061018 (dev-lisp/common-lisp-controller)

root@moose:/home/rose(53)# emerge -pv --depclean asdf-binary-locations
Calculating dependencies... done!
  dev-lisp/asdf-binary-locations-20061018 pulled in by:
    dev-lisp/gentoo-init-0.1
>>> No packages selected for removal by depclean
Packages installed:   3244
Packages in world:    677
Packages in system:   42
Required packages:    3244
Number to remove:     0
Comment 10 Stelian Ionescu 2012-04-11 15:48:27 UTC
Yes, that's the difference.
Does maxima require ASDF for compiling ? If not, we can work around this problem by passing --sysinit /dev/null to sbcl
Comment 11 Martin von Gagern 2012-04-13 20:36:47 UTC
With ~amd64, asdf-1.89, asdf-b-l-20061018, I get the same as OP. I'm running "emerge -j5", so most of the output is in the log file only. But the debugger help is printed to the terminal nevertheless.

The quoted message comes from the sbcl sources. Looks to me as if sbcl were shipping its own version of asdf, which apperas to be more up-to-date than what portage has. But that whole asdf stuff in portage appears to be heavily outdated: Where portage has 1.89 in testing, debian is shipping 2.20-1, and the real upstream at http://common-lisp.net/project/asdf/ has 2.20.7 as the latest tag and 2.20.10 as the latest versioned commit. The Gentoo ebuild is from 2006. The binary-locations stuff shouldn't be needed at all these days, but even if it were, http://common-lisp.net/project/asdf-binary-locations/changelog.html mentions a 0.3.9 release from 2009, instead of the 2006 stuff in portage.

So perhaps Gentoo should either update or drop this asdf thing altogether.

(In reply to comment #10)
> Yes, that's the difference.
> Does maxima require ASDF for compiling ? If not, we can work around this
> problem by passing --sysinit /dev/null to sbcl

Did pass it a --no-sysinit flag by editing the Makefile.in after prepare. Now the error message is gone, but the hang remains. The last lines I see are these:

;;; Emitting code for MAXIMA-LOAD-PATHNAME-DIRECTORY.
;;; Finished compiling /var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src/init-cl.lisp.
;;;

;      - Loading binary file "binary-ecl/init-cl.fas"
;;; Loading "/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src/binary-ecl/init-cl.fas"
;  - Providing system maxima

The sbcl process hangs in the poll syscall, with /dev/tty (fd 5) being the only file descriptor being polled. The backtrace gdb reports isn't much use otherwise. I don't like programs that try to behave interactively even when run in such a non-interactive environment. The hang location is the same as it was in the run without --no-sysinit.
Comment 12 Martin von Gagern 2012-04-13 20:46:31 UTC
In the run with --no-sysinit, if I press Ctrl+C, then I get the debugger help, including the references to file sb-posix.asd.
Comment 13 Andrey Grozin gentoo-dev 2012-04-14 10:37:50 UTC
Maybe, the best solution is to commit asdf-2.016 to the main tree? @lisp: any objections?
Comment 14 Juergen Rose 2012-04-16 09:18:31 UTC
I can not yet find asdf-2.016 in the tree and 'emerge maxima' still hangs.
Comment 15 Andrey Grozin gentoo-dev 2012-04-16 20:13:20 UTC
(In reply to comment #14)
> I can not yet find asdf-2.016 in the tree and 'emerge maxima' still hangs.
layman -a lisp
Comment 16 Vasco Gervasi 2012-04-17 11:32:03 UTC
I am on a ~amd64 and I am getting the same error compiling maxima without SBCL use flag
Comment 17 Vasco Gervasi 2012-04-17 11:40:00 UTC
A question for you why I have sbcl installed but sbcl use flag in maxima is disabled?
I have checked that no other ebuild requires it
Comment 18 Vasco Gervasi 2012-04-17 11:55:45 UTC
Setting clisp use flag solved the problem for me

[ebuild   R    ] sci-mathematics/maxima-5.27.0  USE="X clisp nls unicode -clozurecl (-cmucl) -ecls -emacs (-gcl) -latex -sbcl -tk -xemacs" LINGUAS="-es -pt -pt_BR" 0 kB
Comment 19 Andrey Grozin gentoo-dev 2012-04-17 18:12:20 UTC
(In reply to comment #16)
> I am on a ~amd64 and I am getting the same error compiling maxima without
> SBCL use flag
maxima ought to be compiled by some lisp, at least one (but maybe more - you can use several lisp USE flags at once). If you specify no lisp USE flags, sbcl is used by default - it is the best lisp to use for compiling and running maxima, the fastest one and producing 0 testsuite failures.

clisp is many times slower.
Comment 20 Juergen Rose 2012-04-18 17:57:26 UTC
dev-lisp/asdf-2.016 is now installed, but I am still unable to emerge maxima-5.27.0. It now hangs at:

make[1]: Entering directory `/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src'
../admin/make_share_list
test -d binary-sbcl || mkdir binary-sbcl
test -d binary-sbcl/numerical || mkdir binary-sbcl/numerical
test -d binary-sbcl/numerical/slatec || mkdir binary-sbcl/numerical/slatec
sbcl --noinform --noprint --eval '(progn (load "../lisp-utils/defsystem.lisp") (funcall (intern (symbol-name :operate-on-system) :mk) "maxima" :compile :verbose t) (sb-ext:quit))' && \
sbcl --noinform --noprint --eval '(progn (load "../lisp-utils/defsystem.lisp") (funcall (intern (symbol-name :operate-on-system) :mk) "maxima" :load :verbose t) (sb-ext:save-lisp-and-die "binary-sbcl/maxima.core") (sb-ext:quit))'

debugger invoked on a SB-INT:SIMPLE-FILE-ERROR in thread
#<THREAD "initial thread" RUNNING {10029998E3}>:

  Couldn't load "/etc/gentoo-init.lisp": file does not exist.
Type HELP for debugger help, or (SB-EXT:QUIT) to exit from SBCL.

restarts (invokable by number or by possibly-abbreviated name):
  0: [RETRY   ] Retry EVAL of current toplevel form.
  1: [CONTINUE] Ignore error and continue sysinit file "/etc/sbclrc".
  2: [ABORT   ] Abort sysinit file "/etc/sbclrc".
  3:            Skip to toplevel READ/EVAL/PRINT loop.
  4: [QUIT    ] Quit SBCL (calling #'QUIT, killing the process).

(LOAD
 "/etc/gentoo-init.lisp"
 :VERBOSE
 NIL
 :PRINT
 NIL
 :IF-DOES-NOT-EXIST
 T
 :EXTERNAL-FORMAT
 :DEFAULT)
0] 



I do not have any /etc/gentoo-init.lisp file.
Comment 21 Juergen Rose 2012-04-19 08:22:50 UTC
BTW., I just found that the gentoo package dev-lisp/gentoo-init-1.0 installs a gentoo-init.lisp under /etc/common-lisp/:

root@leopard:/(105)# qlist -v dev-lisp/gentoo-init
/etc/common-lisp/gentoo-init.lisp
/etc/common-lisp/source-registry.conf
Comment 22 Juergen Rose 2012-04-19 08:44:25 UTC
If I create a link from /etc/common-lisp/gentoo-init.lisp to /etc/gentoo-init.lisp everything works fine.
Comment 23 Mihai Moldovan 2012-04-22 19:41:00 UTC
Created attachment 309805 [details]
switch to ASDF:ENABLE-ASDF-BINARY-LOCATIONS-COMPATIBILITY instead of using asdf-binary-locations.

I fixed this problem manually by applying this patch to /etc/gentoo-init.lisp
(we probably want to fix dev-lisp/gentoo-init)

Maxima compiles fine this way with asdf, sbcl and gentoo-init.
Comment 24 rainer 2012-04-25 05:56:27 UTC
The fix of /etc/gentoo-init.lisp by Mihai did not work for me. I get the following sbcl output with this fix:

Summary:
SBCL enabled. Executable name: "sbcl"
default lisp: sbcl
wish executable name: "none"
>>> Source configured.
>>> Compiling source in /var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0 ...
make -j9 
Making all in admin
make[1]: Entering directory `/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/admin'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/admin'
Making all in src
make[1]: Entering directory `/var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0/src'
../admin/make_share_list
test -d binary-sbcl || mkdir binary-sbcl
test -d binary-sbcl/numerical || mkdir binary-sbcl/numerical
test -d binary-sbcl/numerical/slatec || mkdir binary-sbcl/numerical/slatec
sbcl --noinform --noprint --eval '(progn (load "../lisp-utils/defsystem.lisp") (funcall (intern (symbol-name :operate-on-system) :mk) "maxima" :compile :verbose t) (sb-ext:quit))' && \
sbcl --noinform --noprint --eval '(progn (load "../lisp-utils/defsystem.lisp") (funcall (intern (symbol-name :operate-on-system) :mk) "maxima" :load :verbose t) (sb-ext:save-lisp-and-die "binary-sbcl/maxima.core") (sb-ext:quit))'

debugger invoked on a SB-C::INPUT-ERROR-IN-COMPILE-FILE in thread
#<THREAD "initial thread" RUNNING {10029998C3}>:
  READ failure in COMPILE-FILE:
    Symbol "*CENTRALIZE-LISP-BINARIES*" not found in the ASDF package.

      Line: 6, Column: 38, File-Position: 280


      Stream: #<SB-SYS:FD-STREAM for "file /etc/gentoo-init.lisp" {10029C9113}>



I have asdf-1.89 and asdf-binary-locations-20061018 and sbcl-1.0.55-r1 installed.
Comment 25 rainer 2012-04-25 06:03:01 UTC
However, when choosing 

[CONTINUE] Ignore error and continue sysinit file "/etc/sbclrc".


at least it seems to compile to the end.
Comment 26 Mihai Moldovan 2012-04-25 15:49:38 UTC
(In reply to comment #24)
> The fix of /etc/gentoo-init.lisp by Mihai did not work for me. I get the
> following sbcl output with this fix:
[...]
> debugger invoked on a SB-C::INPUT-ERROR-IN-COMPILE-FILE in thread
> #<THREAD "initial thread" RUNNING {10029998C3}>:
>   READ failure in COMPILE-FILE:
>     Symbol "*CENTRALIZE-LISP-BINARIES*" not found in the ASDF package.

Are you sure you're applied the patch correctly? I'm seeing the "old" *CENTRALIZE-LISP-BINARIES*" global var in there, instead of the "new" parameter. Please paste the content of your /etc/gentoo-init.lisp file.


> I have asdf-1.89 and asdf-binary-locations-20061018 and sbcl-1.0.55-r1
> installed.

Same here.
Comment 27 rainer 2012-04-25 23:02:38 UTC
I have commented out the lines to be removed according to the patch file.
My gentoo-init.lisp file contents are:

(in-package #:cl-user)
#+(or sbcl ecl) (require :asdf)
#-(or sbcl ecl) (load #p"/usr/share/common-lisp/source/asdf/asdf.lisp")
(push #p"/usr/share/common-lisp/systems/" asdf:*central-registry*)
#(asdf:oos 'asdf:load-op :asdf-binary-locations)
#(setf asdf:*centralize-lisp-binaries* t)
#(setf asdf:*source-to-target-mappings* '((#p"/usr/lib/sbcl/" nil) (#p"/usr/lib64/sbcl/" nil)))
(asdf:enable-asdf-binary-locations-compatibility :centralize-lisp-binaries t :source-to-target-mappings '((#p"/usr/lib/sbcl/" nil) (#p"/usr/lib64/sbcl/" nil)))
Comment 28 Mihai Moldovan 2012-04-25 23:15:35 UTC
In lisp, comments start with ";", not with a hash ("#").

You have not commented them out but done something different (what exactly I don't know either.)

Please either comment them out properly using ;, or make sure you apply the patch as given.
Comment 29 rainer 2012-04-26 04:12:03 UTC
I want to confirm that the patch from Mihai also works for me.
Sorry for the mistake with the wrong commenting rather 
than applying the patch file. Thanks to Mihai for pointing this out.
Comment 30 Cyprien Nicolas (fulax) 2012-04-26 08:40:39 UTC
(In reply to comment #28)
> In lisp, comments start with ";", not with a hash ("#").
> 
> You have not commented them out but done something different (what exactly I
> don't know either.)

Quoting is a common way to comment code too. #(...) is a vector, and vectors are self-quoting in CL. So this achieve the intended goal is that particular case.
(But I'm going off topic)
Comment 31 Juergen Rose 2012-04-29 07:10:33 UTC
I hit this error again on a new system trying to reemerge maxima. Would it be possible, to bring the patch and asdf-2.016 to the main portage tree?
Comment 32 Juergen Rose 2012-04-29 08:26:21 UTC
I just tried to use the patch of Mihai (comment 23), which fails for me, because after the installation of asdf-2.016 I do not have as stated in comment 21 a /etc/gentoo-init.lisp file. So I have to create again manually the link from /etc/common-lisp/gentoo-init.lisp to etc/gentoo-init.lisp .
Comment 33 Andrey Grozin gentoo-dev 2012-05-02 18:14:58 UTC
common-lisp@gentoo.org, what's the best way to fix this in the main tree? I use the lisp overlay, and don't have this problem. It's a bit difficult for me to switch off this overlay and to investigate what's happening when all the stuff is from the main tree only.
Comment 34 redneb 2012-05-25 21:53:29 UTC
I run into this problem today.  I tried Mihai's solution (comment 23) and it worked for me.
Comment 35 Reinis Danne 2012-06-06 12:04:16 UTC
I had the same issue, uninstalled maxima and wxmaxima and when trying to emerge maxima again it fails to configure because of automake version mismatch:

***** automake *****
***** PWD: /var/tmp/portage/sci-mathematics/maxima-5.27.0/work/maxima-5.27.0
***** automake --add-missing --copy

configure.in:8: version mismatch.  This is Automake 1.11.5,
configure.in:8: but the definition used by this AM_INIT_AUTOMAKE
configure.in:8: comes from Automake 1.9.6.  You should recreate
configure.in:8: aclocal.m4 with aclocal and run automake again.
src/Makefile.am:322: `%'-style pattern rules are a GNU make extension
src/Makefile.am:323: subst echo_,,$@: non-POSIX variable name
src/Makefile.am:323: (probably a GNU make extension)
src/Makefile.am:323: $(subst echo_,,$@: non-POSIX variable name
src/Makefile.am:323: (probably a GNU make extension)
src/Makefile.am:324: subst echo_,,$@: non-POSIX variable name
src/Makefile.am:324: (probably a GNU make extension)
src/Makefile.am:324: origin $(subst echo_,,$@: non-POSIX variable name
src/Makefile.am:324: (probably a GNU make extension)

Could this be related to the current issue?

Portage 2.1.10.65 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.15-r2, 3.3.5-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.5-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.1
Timestamp of tree: Wed, 06 Jun 2012 10:45:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.2
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.4.7, 4.5.3-r2, 4.6.3
sys-devel/gcc-config:     1.7.2
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo science local
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -mtune=native -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=""
FEATURES="assume-digests binpkg-logs compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parallel-install parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-march=native -mtune=native -O3 -pipe"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ ftp://trumpetti.atm.tut.fi/gentoo/ http://mirror.mdfnet.se/gentoo"
LANG="lv_LV.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en lv"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avx bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus dirac djvu dri dts dvd dvdr eds emboss encode evo exif fam ffmpeg fftw firefox flac fontconfig fortran gdbm gif gnome gnome-keyring gnome-online-accounts gpm graphviz gstreamer gtk iconv idn ipv6 jpeg latex lcms ldap libnotify mad matroska mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses netcdf nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt3support qt4 readline sdl session socialweb spell sse sse2 sse4_1 ssl ssse3 startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb vaapi vdpau vorbis vpx wmf wxwidgets x264 xcb xetex xinerama xml xmp xorg xpm xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en lv" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev nvidia vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-devel/automake-1.11.5 was built with the following:
USE="(multilib)"
CFLAGS="-march=native -mtune=generic -O3 -pipe"
CXXFLAGS="-march=native -mtune=generic -O3 -pipe"


sys-devel/automake-1.12.1 was built with the following:
USE="(multilib)"
CFLAGS="-march=native -mtune=generic -O3 -pipe"
CXXFLAGS="-march=native -mtune=generic -O3 -pipe"
Comment 36 Mihai Moldovan 2012-06-06 14:30:58 UTC
No, this has nothing to do with the issue discussed here.

Please open a new bug report, if this is a problem for you.
Comment 37 Juergen Rose 2012-06-09 10:41:13 UTC
More than one month later I hit the issue again. What about bringing asdf-2.016 to the main portage tree?
Comment 38 Coacher 2012-06-14 23:37:58 UTC
Same problem with maxima-5.18.1, asdf-1.86-r1, asdf-binary-locations-20061018, sbcl-1.0.55-r1 on amd64 machine. Patch from mihai works for me.
Comment 39 José Romildo Malaquias 2012-08-16 13:50:41 UTC
Same problem on my ~amd64 system with maxima-5.28.0, asdf-1.89, asdf-binary-locations-20061018 and sbcl-1.0.55-r1.
Comment 40 Andrey Grozin gentoo-dev 2012-08-16 16:24:32 UTC
(In reply to comment #39)
> Same problem on my ~amd64 system with maxima-5.28.0, asdf-1.89,
> asdf-binary-locations-20061018 and sbcl-1.0.55-r1.
Unfortunately, it's very difficult to me to debug these problems, because I cannot reproduce them. I use sbcl and related stuff from the lisp overlay, and compiling maxima (and fricas) just works. In order to investigate the problem, I'd have to seriously downgrade lisp-related stuff to what's available in the main tree. This requires quite some time on my slow eeePC; then, to return to sanity, I'd have to recompile these things once more, to those from the lisp overlay. Any help from those who don't use the lisp overlay? (BTW, I'm currently using sbcl-1.0.58, obtained by obvious changes from 1.0.55 from the overlay; it works very well).
Comment 41 quazgar 2012-08-17 09:03:25 UTC
Same problem, and same patch works (except that it needs an additional newline at the end to work here) for the current STABLE versions here:

maxima-5.18.1
sbcl-1.0.55-r1
gentoo-init-0.1
Comment 42 Coacher 2012-08-17 12:30:03 UTC
(In reply to comment #40)
>In order to investigate the
> problem, I'd have to seriously downgrade lisp-related stuff to what's
> available in the main tree. This requires quite some time on my slow eeePC;
> then, to return to sanity, I'd have to recompile these things once more, to
> those from the lisp overlay. Any help from those who don't use the lisp
> overlay? (BTW, I'm currently using sbcl-1.0.58, obtained by obvious changes
> from 1.0.55 from the overlay; it works very well).
Maybe use emerge with --buildpkg option?
Comment 43 Franz Brauße 2012-08-23 09:52:56 UTC
> I have asdf-1.89 and asdf-binary-locations-20061018 and sbcl-1.0.55-r1
> installed.

Same here (~amd64), also same problem.
It was fixed by applying Mihai's patch to dev-lisp/gentoo-init/files/gentoo-init.lisp in a local overlay and installing that.
Comment 44 Alec Meyers 2012-08-23 11:56:42 UTC
*** Bug 432258 has been marked as a duplicate of this bug. ***
Comment 45 Andrey Grozin gentoo-dev 2012-08-25 04:11:55 UTC
Should be fixed now. Please re-sync after some time and try.
Comment 46 Andrey Grozin gentoo-dev 2013-01-12 04:41:14 UTC
*** Bug 451144 has been marked as a duplicate of this bug. ***
Comment 47 Arne Babenhauserheide 2013-04-03 10:14:48 UTC
I just hit this error and had to fix it with the fix from the forums¹. Did the proper fix somehow slip away?

¹: http://forums.gentoo.org/viewtopic-p-7129838.html?sid=3da698de26e0b74f70d98002cb55d8f4#7129838
Comment 48 Mark Purtill 2013-05-10 06:59:56 UTC
I also ran into this issue with maxima-5.18.1:0.  The forum fix from comment #47 worked for me, but it does seem like the bu8g isn't actually fixed.
Comment 49 Nuno Silva 2014-11-13 21:43:10 UTC
Bug reproduced on x86 with maxima-5.18.1 and sbcl-1.0.55-r1. Please reopen.
Comment 50 Mark Wright gentoo-dev 2014-11-13 22:24:58 UTC
Re-opening on request from Nuno Silva
Comment 51 jcdx 2015-01-04 22:00:23 UTC
Bug reproduced on x64-macos (gentoo_prefix) with sci-mathematics/maxima-5.35.1-r1 and sbcl-1.0.55-r1

Already put some information about emerge --info here http://forums.gentoo.org/viewtopic-p-7677700.html#7677700
Comment 52 Pacho Ramos gentoo-dev 2019-03-15 13:07:35 UTC
5.42.1 compiles fine for me
Comment 53 Michael Orlitzky gentoo-dev 2021-03-26 01:55:20 UTC
We're many, many versions ahead now -- in both dev-lisp/asdf and dev-lisp/sbcl. Since this was ultimately just some API disagreement, I'm willing to bet that they've fixed it in the intervening decade.

If not, a more recent build log will be required anyway. Admitting defeat & closing.